#include<bits/stdc++.h>
using namespace std;
int main(){

    int n,h;
    cin>>n>>h;
    bool bul = false;

    for(int i=0;i<n;i++){

        int v;
        cin>>v;

        if(v<=h){
            cout<<i+1<<endl;
            bul = true;
            break;
        }
    }
    if(!bul){
        cout<<-1<<endl;
    }
}